Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.daohib.bpel.hobj
Class HLargeData

    java.lang.Object
      org.apache.ode.daohib.bpel.hobj.HObject
          org.apache.ode.daohib.bpel.hobj.HLargeData

    public class HLargeData

extends HObject

Used to store large data sets into a single table. When an HObject instance needs to store as part of its state large binary or text data, a reference to an instance of this class must be created.

Field Summary
`static java.lang.String` | `SELECT_ACTIVITY_RECOVERY_LDATA_IDS_BY_INSTANCES`
`static java.lang.String` | `SELECT_EVENT_LDATA_IDS_BY_INSTANCES`
`static java.lang.String` | `SELECT_FAULT_LDATA_IDS_BY_INSTANCE_IDS`
`static java.lang.String` | `SELECT_JACOB_LDATA_IDS_BY_INSTANCES`
`static java.lang.String` | `SELECT_MESSAGE_LDATA_IDS_BY_INSTANCES_1`
`static java.lang.String` | `SELECT_MESSAGE_LDATA_IDS_BY_INSTANCES_2`
`static java.lang.String` | `SELECT_MESSAGE_LDATA_IDS_BY_MEX_1`
`static java.lang.String` | `SELECT_MESSAGE_LDATA_IDS_BY_MEX_2`
`static java.lang.String` | `SELECT_MEX_LDATA_IDS_BY_INSTANCES_1`
`static java.lang.String` | `SELECT_MEX_LDATA_IDS_BY_INSTANCES_2`
`static java.lang.String` | `SELECT_PARTNER_LINK_LDATA_IDS_BY_INSTANCES_1`
`static java.lang.String` | `SELECT_PARTNER_LINK_LDATA_IDS_BY_INSTANCES_2`
`static java.lang.String` | `SELECT_UNMATCHED_MESSAGE_LDATA_IDS_BY_INSTANCES_1`
`static java.lang.String` | `SELECT_UNMATCHED_MESSAGE_LDATA_IDS_BY_INSTANCES_2`
`static java.lang.String` | `SELECT_XMLDATA_LDATA_IDS_BY_INSTANCES`

Constructor Summary
`HLargeData()`
`HLargeData(byte[] binary)`
`HLargeData(java.lang.String text)`

Method Summary
`byte[]` | `getBinary()`
`java.lang.String` | `getText()`
`void` | `setBinary(byte[] binary)`

Methods inherited from class org.apache.ode.daohib.bpel.hobj.HObject
`getCreated, getId, getLock, setCreated, setId, setLock, toIdArray, toIdArray, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SELECT_ACTIVITY_RECOVERY_LDATA_IDS_BY_INSTANCES

    public static final java.lang.String SELECT_ACTIVITY_RECOVERY_LDATA_IDS_BY_INSTANCES

See Also:
  Constant Field Values

### SELECT_JACOB_LDATA_IDS_BY_INSTANCES

    public static final java.lang.String SELECT_JACOB_LDATA_IDS_BY_INSTANCES

See Also:
  Constant Field Values

### SELECT_MESSAGE_LDATA_IDS_BY_INSTANCES_1

    public static final java.lang.String SELECT_MESSAGE_LDATA_IDS_BY_INSTANCES_1

See Also:
  Constant Field Values

### SELECT_MESSAGE_LDATA_IDS_BY_INSTANCES_2

    public static final java.lang.String SELECT_MESSAGE_LDATA_IDS_BY_INSTANCES_2

See Also:
  Constant Field Values

### SELECT_MEX_LDATA_IDS_BY_INSTANCES_1

    public static final java.lang.String SELECT_MEX_LDATA_IDS_BY_INSTANCES_1

See Also:
  Constant Field Values

### SELECT_MEX_LDATA_IDS_BY_INSTANCES_2

    public static final java.lang.String SELECT_MEX_LDATA_IDS_BY_INSTANCES_2

See Also:
  Constant Field Values

### SELECT_EVENT_LDATA_IDS_BY_INSTANCES

    public static final java.lang.String SELECT_EVENT_LDATA_IDS_BY_INSTANCES

See Also:
  Constant Field Values

### SELECT_UNMATCHED_MESSAGE_LDATA_IDS_BY_INSTANCES_1

    public static final java.lang.String SELECT_UNMATCHED_MESSAGE_LDATA_IDS_BY_INSTANCES_1

See Also:
  Constant Field Values

### SELECT_UNMATCHED_MESSAGE_LDATA_IDS_BY_INSTANCES_2

    public static final java.lang.String SELECT_UNMATCHED_MESSAGE_LDATA_IDS_BY_INSTANCES_2

See Also:
  Constant Field Values

### SELECT_XMLDATA_LDATA_IDS_BY_INSTANCES

    public static final java.lang.String SELECT_XMLDATA_LDATA_IDS_BY_INSTANCES

See Also:
  Constant Field Values

### SELECT_PARTNER_LINK_LDATA_IDS_BY_INSTANCES_1

    public static final java.lang.String SELECT_PARTNER_LINK_LDATA_IDS_BY_INSTANCES_1

See Also:
  Constant Field Values

### SELECT_PARTNER_LINK_LDATA_IDS_BY_INSTANCES_2

    public static final java.lang.String SELECT_PARTNER_LINK_LDATA_IDS_BY_INSTANCES_2

See Also:
  Constant Field Values

### SELECT_FAULT_LDATA_IDS_BY_INSTANCE_IDS

    public static final java.lang.String SELECT_FAULT_LDATA_IDS_BY_INSTANCE_IDS

See Also:
  Constant Field Values

### SELECT_MESSAGE_LDATA_IDS_BY_MEX_1

    public static final java.lang.String SELECT_MESSAGE_LDATA_IDS_BY_MEX_1

See Also:
  Constant Field Values

### SELECT_MESSAGE_LDATA_IDS_BY_MEX_2

    public static final java.lang.String SELECT_MESSAGE_LDATA_IDS_BY_MEX_2

See Also:
  Constant Field Values

Constructor Detail

### HLargeData

    public HLargeData()

### HLargeData

    public HLargeData(byte[] binary)

### HLargeData

    public HLargeData(java.lang.String text)

Method Detail

### getBinary

    public byte[] getBinary()

### setBinary

    public void setBinary(byte[] binary)

### getText

    public java.lang.String getText()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD